Package org.apache.sling.resourceaccesssecurity

# Enum ResourceAccessGate.GateResult

java.lang.Object
java.lang.Enum<ResourceAccessGate.GateResult>
org.apache.sling.resourceaccesssecurity.ResourceAccessGate.GateResult

All Implemented Interfaces:
  `Serializable`, `Comparable<ResourceAccessGate.GateResult>`

Enclosing interface:
  ResourceAccessGate

public static enum ResourceAccessGate.GateResult extends Enum<ResourceAccessGate.GateResult>
`GateResult` defines 3 possible states which can be returned by the different canXXX methods of this interface.

- GRANTED: means no restrictions
- DENIED: means no permission for the requested action
- CANT_DECIDE: means that the implementation of the service has no information or can't decide and therefore neither can't grant or deny access

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANT_DECIDE`
`DENIED`
`GRANTED`

## Method Summary

Modifier and Type
Method
Description
`static ResourceAccessGate.GateResult`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ResourceAccessGate.GateResult[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GRANTED

public static final ResourceAccessGate.GateResult GRANTED

### DENIED

public static final ResourceAccessGate.GateResult DENIED

### CANT_DECIDE

public static final ResourceAccessGate.GateResult CANT_DECIDE

## Method Details

### values

public static ResourceAccessGate.GateResult[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ResourceAccessGate.GateResult valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null